using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class Group
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }

		/// <summary>
		/// 父级分组
		/// </summary>
		public virtual Group Parent
		{
			get;
			set;
		}

		/// <summary>
		/// Name
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
		/// <summary>
		/// Sort
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}

		public override bool Equals(object obj)
		{
			Group group = obj as Group;

			if (group == null)
			{
				return false;
			}

			return this.ID == group.ID;
		}

		public override int GetHashCode()
		{
			return this.ID.GetHashCode();
		}
	}
}
